Loading...
Searching...
No Matches
SynthonSpaceSearch_details.h File Reference
`#include <chrono>`
`#include <vector>`
`#include <RDGeneral/export.h>`

Go to the source code of this file.

## Classes

struct | RDKit::SynthonSpaceSearch::details::Stepper

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::SynthonSpaceSearch
namespace | RDKit::SynthonSpaceSearch::details

## Typedefs

using | Clock = std::chrono::steady_clock
using | TimePoint = std::chrono::time_point< Clock >

## Functions

RDKIT_SYNTHONSPACESEARCH_EXPORT bool | RDKit::SynthonSpaceSearch::details::checkTimeOut (const TimePoint *endTime)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > | RDKit::SynthonSpaceSearch::details::combMFromN (unsigned int m, unsigned int n)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > | RDKit::SynthonSpaceSearch::details::permMFromN (unsigned int m, unsigned int n)
RDKIT_SYNTHONSPACESEARCH_EXPORT void | RDKit::SynthonSpaceSearch::details::fixAromaticRingSplits (std::vector< std::unique_ptr< ROMol > > &molFrags)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::unique_ptr< ROMol > > > | RDKit::SynthonSpaceSearch::details::splitMolecule (const ROMol &query, unsigned int maxBondSplits, std::uint64_t maxNumFrags, TimePoint *endTime, bool &timedOut)
RDKIT_SYNTHONSPACESEARCH_EXPORT int | RDKit::SynthonSpaceSearch::details::countConnections (const ROMol &frag)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< boost::dynamic_bitset<> > | RDKit::SynthonSpaceSearch::details::getConnectorPatterns (const std::vector< std::unique_ptr< ROMol > > &fragSet)
RDKIT_SYNTHONSPACESEARCH_EXPORT boost::dynamic_bitset | RDKit::SynthonSpaceSearch::details::getConnectorPattern (const std::vector< std::unique_ptr< ROMol > > &fragSet)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::unique_ptr< ROMol > > > | RDKit::SynthonSpaceSearch::details::getConnectorPermutations (const std::vector< std::unique_ptr< ROMol > > &molFrags, const boost::dynamic_bitset<> &fragConns, const boost::dynamic_bitset<> &reactionConns)
RDKIT_SYNTHONSPACESEARCH_EXPORT void | RDKit::SynthonSpaceSearch::details::expandBitSet (std::vector< boost::dynamic_bitset<> > &bitSets)
RDKIT_SYNTHONSPACESEARCH_EXPORT void | RDKit::SynthonSpaceSearch::details::bitSetsToVectors (const std::vector< boost::dynamic_bitset<> > &bitSets, std::vector< std::vector< size_t > > &outVecs)

## Typedef Documentation

## Clock

using Clock = std::chrono::steady_clock

Definition at line 19 of file SynthonSpaceSearch_details.h.

## TimePoint

using TimePoint = std::chrono::time_point<Clock>

Definition at line 20 of file SynthonSpaceSearch_details.h.